//
//  gnustepbugAppDelegate.m
//  gnustepbug
//
//  Created by Julian Mayer on 05.11.11.
//  Copyright 2011 A. Julian Mayer. All rights reserved.
//

#import "gnustepbugAppDelegate.h"

@implementation gnustepbugAppDelegate

- (IBAction)help:(id)sender
{
	NSLog(@" the tooltip of the sender is: %@", [sender toolTip]);
    NSHelpManager *helpManager = [NSHelpManager sharedHelpManager];
    [helpManager setContextHelp:[[[NSAttributedString alloc]
                                  initWithString:[sender toolTip]] autorelease] forObject:sender];
    [helpManager showContextHelpForObject:sender locationHint:[NSEvent mouseLocation]];
    [helpManager removeContextHelpForObject:sender];
}

- (IBAction)openSheet:(id)sender
{
	[NSApp beginSheet:sheet modalForWindow:window modalDelegate:nil didEndSelector:NULL contextInfo:NULL];

}

- (IBAction)closeSheet:(id)sender
{
	[NSApp endSheet:sheet];
	[sheet orderOut:self];
	

}
@end
